
Image Component Library - Bug #384

create_rot_4x4() creates non-orthogonal rotation matrices

2015-02-25 13:38 - Tobias Röhlig

Status: Closed Start date: 2015-02-25

Priority: Normal Due date:  

Assignee: Tobias Röhlig % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

The functions create_rot_4x4(T axisX, T axisY, T axisZ, T angle) and create_rot_3D(T axisX, T axisY, T axisZ, T angle) return

non-orthogonal matrices (det() != 1). Add an orthogonalization process (e.g. Gram–Schmidt process) to this functions.

History

#1 - 2015-03-12 15:18 - Tobias Röhlig

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

gram-schmidt orthogonalization implemented in both functions.

#2 - 2017-11-22 22:15 - Alexander Neumann

- Status changed from Feedback to Closed
